# Burlatech Website

A responsive design portfolio website for Burlatech that showcases their multidisciplinary branding and design services through an innovative, user-friendly digital platform.

## Requirements

- Node.js v18+ (v20 recommended)
- npm v9+ (comes with Node.js)

## Installation

1. Unzip the project files to your desired location
2. Open a terminal and navigate to the project directory
3. Install dependencies:

```bash
npm install
```

## Development

To start the development server:

```bash
npm run dev
```

This will start the development server at http://localhost:5000

## Building for Production

To build the project for production:

```bash
npm run build
```

This will create a `dist` folder with all the production-ready files.

## Deployment

To deploy the website:

1. Run the build command above
2. Upload the contents of the `dist` folder to your web server

For static hosting (Netlify, Vercel, GitHub Pages, etc.), point to the `dist` folder.

## Project Structure

- `client/` - Frontend React application
- `server/` - Backend Express server
- `shared/` - Shared code between client and server
- `attached_assets/` - Images and other assets

## Technologies Used

- React.js for the frontend UI
- Express.js for the backend
- Tailwind CSS for styling
- TypeScript for type safety
- Framer Motion for animations

## Contact

For any questions or issues, please contact hello@burlatech.com.